CVE-2016-10506

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2016-10506
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2016-10506.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2016-10506
Related
Published
2017-08-30T09:29:00Z
Modified
2024-06-30T12:26:38.400476Z
Severity
  • 6.5 (Medium) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H CVSS Calculator
Summary
[none]
Details

Division-by-zero vulnerabilities in the functions opjpinextcprl, opjpinextpcrl, and opjpinext_rpcl in pi.c in OpenJPEG before 2.2.0 allow remote attackers to cause a denial of service (application crash) via crafted j2k files.

References

Affected packages

Debian:11 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2.*

2.4.0-3
2.4.0-4
2.4.0-5
2.4.0-6
2.5.0-1
2.5.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2.*

2.5.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / openjpeg2

Package

Name
openjpeg2
Purl
pkg:deb/debian/openjpeg2?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected

Affected versions

2.*

2.5.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/uclouvain/openjpeg

Affected ranges

Type
GIT
Repo
https://github.com/uclouvain/openjpeg
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Fixed